## libvirt 10.6.0

=== debian/changelog ===
libvirt (10.6.0-1ubuntu3) oracular; urgency=medium

  * SECURITY UPDATE: virtinterfaced null pointer DoS
    - debian/patches/CVE-2024-8235.patch: honour array length for
      zero-length NULL arrays in src/interface/interface_backend_udev.c.
    - CVE-2024-8235

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 09 Sep 2024 14:30:28 -0400

libvirt (10.6.0-1ubuntu2) oracular; urgency=medium

  * Apply upstream patch to allow access to
    /usr/libexec/qemu/qemu-bridge-helper in apparmor profile (LP: #2079806)
    - d/p/ubuntu-aa/allow-more-paths-for-qemu-bridge-helper.patch

 -- Olivier Gayot <olivier.gayot@canonical.com>  Fri, 06 Sep 2024 12:04:29 +0200

libvirt (10.6.0-1ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable (LP: #2076676). Remaining changes:
    - Disable libssh2 support (universe dependency)
    - d/control: add libzfslinux-dev to build-deps
    - d/control: drop libvirt-lxc, vbox and xen drivers to suggest
    - debian/patches/ubuntu/ovmf_paths.patch: adjust paths to secboot.fd UEFI
      Secure Boot enabled variants of the OVMF firmware and variable store for
      the paths where we ship these files in Ubuntu.
    - Set qemu-group to kvm (for compat with older ubuntu)
    - Additional apport package-hook
    - Autostart default bridged network (As upstream does, but not Debian).
      In addition to just enabling it our solution provides:
      + do not autostart if subnet is already taken (e.g. in guests).
      + iterate some alternative subnets before giving up
    - d/p/ubuntu/Allow-libvirt-group-to-access-the-socket.patch: This is
      the group based access to libvirt functions as it was used in Ubuntu
      for quite a long time.
      + d/p/ubuntu/daemon-augeas-fix-expected.patch fix some related tests
        due to the group access change.
      + d/libvirt-daemon-system.postinst: add users in sudo to the libvirt
        group.
    - Update README.Debian with Ubuntu changes
    - d/p/ubuntu/ubuntu_machine_type.patch: accept ubuntu types as pci440fx
    - fix autopkgtests (LP 1899180)
      + d/t/control, d/t/smoke-qemu-session: fixup smoke-qemu-session by making
        vmlinuz available and accessible (Debian bug 848314)
      + d/t/control: fix smoke-qemu-session by ensuring the service will run
        installing libvirt-daemon-system
      + d/t/smoke-lxc: fix smoke-lxc by ignoring potential issues on destroy as
        long as the following undefine succeeds
      + d/t/smoke-lxc: use systemd instead of sysV to restart the service
      + d/t/control, d/t/smoke-lxc: retry service restart and skip test if
        failing; This was flaky on some release/architectures
      + d/t/smoke-lxc: retry check_domain being flaky on arm64
    - dnsmasq related enhancements
      + run dnsmasq as libvirt-dnsmasq (LP 1743718)
      + d/libvirt-daemon-system.postinst: add libvirt-dnsmasq user and group
      + d/libvirt-daemon-system.postrm: remove libvirt-dnsmasq user and group
        on purge
      + d/p/ubuntu/dnsmasq-as-priv-user: write dnsmasq config with user
        libvirt-dnsmasq and adapt the self tests to expect that config
      + d/libvirt-daemon-system.postinst: fix old libvirt-dnsmasq users group
      + Add dnsmasq configuration to work with system wide dnsmasq-base
    - d/p/ubuntu/set-default-machine-to-ubuntu.patch: to select default
      machine type correctly with newer qemu/libvirt
    - d/p/ubuntu/lp-1861125-ubuntu-models: recognize Ubuntu models for
      (LP 1861125) fixups
    - d/p/ubuntu/wait-for-qemu-kvm.patch - avoid hangs on startup (LP 1887592)
    - d/libvirt-daemon-system.libvirt-guests.default: shut guests down
      in parallel
    - Apparmor Delta that is Ubuntu specific or yet to be upstreamed
      split into logical pieces. File names in debian/patches/ubuntu-aa/:
      + 0020-virt-aa-helper-ubuntu-storage-paths.patch:
        apparmor, virt-aa-helper: Allow various storage pools and image
        locations
      + 0029-appmor-libvirt-qemu-Add-9p-support.patch: appmor,
        libvirt-qemu: Add 9p support
      + 0031-virt-aa-helper-Ask-for-no-deny-rule-for-readonly-dis.patch:
        virt-aa-helper: Ask for no deny rule for readonly disk
      + 0032-apparmor-libvirt-qemu-Allow-reading-charm-specific-c.patch:
        apparmor, libvirt-qemu: Allow reading charm-specific ceph config
      + 0033-UBUNTU-only-apparmor-for-kvm.powerpc-LP-1680384.patch: allow
        commands executed by ubuntu only kvm wrapper on ppc64el
        (LP 1686621 LP 1680384 LP 1784023)
      + 0034-apparmor-virt-aa-helper-access-for-snapped-nova.patch:
        apparmor, virt-aa-helper: access for snapped nova
      + lp-1815910-allow-vhost-hotplug.patch: avoid apparmor issues
        with vhost-net/vhost-vsock/vhost-scsi hotplug (LP 1815910)
    - libvirt should not use user/group tss for swtpm (LP 1948880)
      + d/libvirt-daemon-system.postinst: own swtpm logdir by user swtpm
      + d/p/u/swtpm-by-swtpm-user.patch: change default spawned swtpm processes
        to user swtpm and adapt expected self test result changes triggered by
        this
      + d/libvirt-daemon-system.postinst: create user/group swtpm if not present
        due to swtpm-tools (LP 1951975)
    - d/control: Use libc6-dev instead of libc-dev as a build dependency
    - d/libvirt-clients.lintian-overrides: Add script-not-executable lintian
      override
    - libvirt-uri.sh, d/rules: Automatically switch default libvirt URI
      for users via user profile (xen URI on dom0, qemu:///system otherwise)
      + Update: Set LIBVIRT_DEFAULT_URI to "qemu:///system" in all
        cases, do not set to "xen:///" (LP #2027838)
    - d/control: Demote passt to Suggests (from Recommends) for
      libvirt-daemon-driver-qemu, because passt is in universe.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Mon, 12 Aug 2024 15:14:48 -0400

libvirt (10.6.0-1) unstable; urgency=medium

  * [65e5d2b] New upstream version 10.6.0


=== debian/rules ===
#!/usr/bin/make -f

NULL =

DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

# If the build environment sets -Bsymbolic-functions, which is often used as
# hardening option, that would break libvirt build time self-testing.
# Therefore let dpkg-buildflag strip that option if present.
DEB_LDFLAGS_MAINT_STRIP = -Wl,-Bsymbolic-functions

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# Fail if the symbols file contains certain mistakes
DPKG_GENSYMBOLS_CHECK_LEVEL = 4
export DPKG_GENSYMBOLS_CHECK_LEVEL

include debian/arches.mk

ifeq ($(DEB_HOST_ARCH_OS), linux)
    WITH_DAEMONS              = -Ddriver_libvirtd=enabled -Dhost_validate=enabled
    WITH_ESX                  = -Ddriver_esx=enabled -Dcurl=enabled
    WITH_VMWARE               = -Ddriver_vmware=enabled
    WITH_STORAGE_FS           = -Dstorage_fs=enabled
    WITH_STORAGE_DIR          = -Dstorage_dir=enabled
    WITH_STORAGE_LVM          = -Dstorage_lvm=enabled
    WITH_STORAGE_SCSI         = -Dstorage_scsi=enabled
    WITH_STORAGE_ISCSI        = -Dstorage_iscsi=enabled
    WITH_STORAGE_ISCSI_DIRECT = -Dstorage_iscsi_direct=enabled -Dlibiscsi=enabled
    WITH_STORAGE_DISK         = -Dstorage_disk=enabled
    WITH_STORAGE_MPATH        = -Dstorage_mpath=enabled
    WITH_STORAGE_ZFS          = -Dstorage_zfs=enabled
    WITH_BLKID                = -Dblkid=enabled
    WITH_FUSE                 = -Dfuse=enabled
    WITH_UDEV                 = -Dudev=enabled -Dpciaccess=enabled
    WITH_CAPNG                = -Dcapng=enabled
    WITH_LIBNL                = -Dlibnl=enabled
    WITH_NETWORK              = -Ddriver_network=enabled -Dfirewall_backend_priority=iptables,nftables
    WITH_INTERFACE            = -Ddriver_interface=enabled
    WITH_SECRETS              = -Ddriver_secrets=enabled
    WITH_OPENVZ               = -Ddriver_openvz=enabled
    WITH_YAJL                 = -Dyajl=enabled
    WITH_POLKIT               = -Dpolkit=enabled
    WITH_SANLOCK              = -Dsanlock=enabled
    WITH_INIT_SCRIPT          = -Dinit_script=systemd
    WITH_FIREWALLD            = -Dfirewalld=enabled
    WITH_ATTR                 = -Dattr=enabled
    WITH_AUDIT                = -Daudit=enabled
    WITH_LIBPCAP              = -Dlibpcap=enabled
    WITH_SELINUX              = -Dselinux=enabled -Dsecdriver_selinux=enabled -Dselinux_mount=/sys/fs/selinux
    WITH_APPARMOR             = -Dapparmor=enabled -Dsecdriver_apparmor=enabled -Dapparmor_profiles=enabled
    WITH_NSS_PLUGIN           = -Dnss=enabled
    WITH_DTRACE               = -Ddtrace=enabled
    WITH_NUMA                 = -Dnumactl=enabled -Dnumad=enabled
    WITH_SYSCTL               = -Dsysctl_config=enabled -Duserfaultfd_sysctl=enabled
    WITH_WIRESHARK            = -Dwireshark_dissector=enabled
else
    WITH_DAEMONS              = -Ddriver_libvirtd=disabled -Dhost_validate=disabled
    WITH_ESX                  = -Ddriver_esx=disabled -Dcurl=disabled
    WITH_VMWARE               = -Ddriver_vmware=disabled
    WITH_STORAGE_FS           = -Dstorage_fs=disabled
    WITH_STORAGE_DIR          = -Dstorage_dir=disabled
    WITH_STORAGE_LVM          = -Dstorage_lvm=disabled
    WITH_STORAGE_SCSI         = -Dstorage_scsi=disabled
    WITH_STORAGE_ISCSI        = -Dstorage_iscsi=disabled
    WITH_STORAGE_ISCSI_DIRECT = -Dstorage_iscsi_direct=disabled -Dlibiscsi=disabled
    WITH_STORAGE_DISK         = -Dstorage_disk=disabled
    WITH_STORAGE_MPATH        = -Dstorage_mpath=enabled
    WITH_STORAGE_ZFS          = -Dstorage_zfs=disabled
    WITH_BLKID                = -Dblkid=disabled
    WITH_FUSE                 = -Dfuse=disabled
    WITH_UDEV                 = -Dudev=disabled -Dpciaccess=disabled
    WITH_CAPNG                = -Dcapng=disabled
    WITH_LIBNL                = -Dlibnl=disabled
    WITH_NETWORK              = -Ddriver_network=disabled -Dfirewall_backend_priority=iptables,nftables
    WITH_INTERFACE            = -Ddriver_interface=disabled
    WITH_SECRETS              = -Ddriver_secrets=disabled
    WITH_OPENVZ               = -Ddriver_openvz=disabled
    WITH_POLKIT               = -Dpolkit=disabled
    WITH_YAJL                 = -Dyajl=disabled
    WITH_SANLOCK              = -Dsanlock=disabled
    WITH_INIT_SCRIPT          = -Dinit_script=none
    WITH_FIREWALLD            = -Dfirewalld=disabled
    WITH_ATTR                 = -Dattr=disabled
    WITH_AUDIT                = -Daudit=disabled
    WITH_LIBPCAP              = -Dlibpcap=disabled
    WITH_SELINUX              = -Dselinux=disabled -Dsecdriver_selinux=disabled -Dselinux_mount=
    WITH_APPARMOR             = -Dapparmor=disabled -Dsecdriver_apparmor=disabled -Dapparmor_profiles=disabled
    WITH_NSS_PLUGIN           = -Dnss=disabled
    WITH_DTRACE               = -Ddtrace=disabled
    WITH_NUMA                 = -Dnumactl=disabled -Dnumad=disabled
    WITH_SYSCTL               = -Dsysctl_config=disabled -Duserfaultfd_sysctl=disabled
    WITH_WIRESHARK            = -Dwireshark_dissector=disabled
endif

ifneq (,$(filter $(DEB_HOST_ARCH), $(ARCHES_CEPH)))
    WITH_STORAGE_RBD          = -Dstorage_rbd=enabled
else
    WITH_STORAGE_RBD          = -Dstorage_rbd=disabled
endif
ifneq (,$(filter $(DEB_HOST_ARCH), $(ARCHES_GLUSTER)))
    WITH_STORAGE_GLUSTER      = -Dstorage_gluster=enabled -Dglusterfs=enabled
else
    WITH_STORAGE_GLUSTER      = -Dstorage_gluster=disabled -Dglusterfs=disabled
endif
ifneq (,$(filter $(DEB_HOST_ARCH), $(ARCHES_QEMU)))
    WITH_QEMU                 = -Ddriver_qemu=enabled
else
    WITH_QEMU                 = -Ddriver_qemu=disabled
endif
ifneq (,$(findstring $(DEB_HOST_ARCH), $(ARCHES_LXC)))
    WITH_LXC                  = -Ddriver_lxc=enabled
    WITH_LOGIN_SHELL          = -Dlogin_shell=enabled
else
    WITH_LXC                  = -Ddriver_lxc=disabled
    WITH_LOGIN_SHELL          = -Dlogin_shell=disabled
endif
ifneq (,$(filter $(DEB_HOST_ARCH), $(ARCHES_XEN)))
    WITH_LIBXL                = -Ddriver_libxl=enabled
else
    WITH_LIBXL                = -Ddriver_libxl=disabled
endif
ifneq (,$(filter $(DEB_HOST_ARCH), $(ARCHES_VBOX)))
    WITH_VBOX                 = -Ddriver_vbox=enabled
else
    WITH_VBOX                 = -Ddriver_vbox=disabled
endif
ifneq (,$(filter $(DEB_HOST_ARCH), $(ARCHES_NBDKIT)))
    WITH_NBDKIT               = -Dnbdkit=enabled -Dnbdkit_config_default=enabled
else
    WITH_NBDKIT               = -Dnbdkit=disabled -Dnbdkit_config_default=disabled
endif

DEB_CONFIGURE_EXTRA_ARGS := \
    --libexecdir=/usr/lib/libvirt \
    -Drunstatedir=/run \
    -Dinitconfdir=/etc/default \
    -Dsshconfdir=/etc/ssh/ssh_config.d \
    -Dunitdir=/usr/lib/systemd/system \
    -Dsysusersdir=/usr/lib/sysusers.d \
    -Dno_git=true \
    -Dpackager="$(DEB_VENDOR)" \
    -Dpackager_version="$(DEB_VERSION)" \
    $(WITH_DAEMONS) \
    $(WITH_QEMU) \
    -Ddriver_remote=enabled \
    -Dremote_default_mode=legacy \
    -Dssh_proxy=disabled \
    -Ddriver_test=enabled \
    -Ddriver_ch=disabled \
    -Ddriver_bhyve=disabled \
    -Ddriver_hyperv=disabled \
    -Dopenwsman=disabled \
    -Ddriver_vz=disabled \
    -Dqemu_user=libvirt-qemu \
    -Dqemu_group=kvm \
    -Dqemu_moddir=/usr/lib/$(DEB_HOST_MULTIARCH)/qemu \
    -Dqemu_datadir=/usr/share/qemu \
    -Ddocs=enabled \
    -Ddocdir=/usr/share/doc/libvirt \
    -Dtests=enabled \
    -Drpath=disabled \
    -Dnls=enabled \
    -Dtls_priority=NORMAL \
    $(WITH_OPENVZ) \
    -Dsasl=enabled \
    -Dlibssh2=disabled \
    -Dlibssh=enabled \
    -Dreadline=enabled \
    -Dbash_completion=enabled \
    -Dbash_completion_dir=/usr/share/bash-completion/completions \
    $(WITH_YAJL) \
    $(WITH_POLKIT) \
    $(WITH_SANLOCK) \
    $(WITH_UDEV) \
    $(WITH_STORAGE_FS) \
    $(WITH_STORAGE_DIR) \
    $(WITH_STORAGE_LVM) \
    $(WITH_STORAGE_SCSI) \
    $(WITH_STORAGE_ISCSI) \
    $(WITH_STORAGE_ISCSI_DIRECT) \
    $(WITH_STORAGE_DISK) \
    $(WITH_STORAGE_RBD) \
    $(WITH_STORAGE_GLUSTER) \
    $(WITH_STORAGE_MPATH) \
    $(WITH_STORAGE_ZFS) \
    -Dstorage_vstorage=disabled \
    $(WITH_BLKID) \

## libvirt 10.7.0

=== meson_options.txt ===
option('no_git', type: 'boolean', value: false, description: 'Disable git submodule update')
option('packager', type: 'string', value: '', description: 'Extra packager name')
option('packager_version', type: 'string', value: '', description: 'Extra packager version')
option('system', type: 'boolean', value: false, description: 'Set install paths to system ones')
option('runstatedir', type: 'string', value: '', description: 'State directory for temporary sockets, pid files, etc')
option('initconfdir', type: 'string', value: '', description: 'directory for init script configuration files')
option('unitdir', type: 'string', value: '', description: 'directory for systemd unit files')
option('sysusersdir', type: 'string', value: '', description: 'directory for sysusers files')
# dep:tests
option('expensive_tests', type: 'feature', value: 'auto', description: 'set the default for enabling expensive tests (long timeouts)')
option('test_coverage', type: 'boolean', value: false, description: 'turn on code coverage instrumentation')
option('git_werror', type: 'feature', value: 'auto', description: 'use -Werror if building from GIT')
option('rpath', type: 'feature', value: 'auto', description: 'whether to include rpath information in installed binaries and libraries')
option('docdir', type: 'string', value: '', description: 'documentation installation directory')
option('docs', type: 'feature', value: 'auto', description: 'whether to generate documentation')
option('tests', type: 'feature', value: 'auto', description: 'whether to build and run tests')


# build dependencies options
option('apparmor', type: 'feature', value: 'auto', description: 'apparmor support')
option('attr', type: 'feature', value: 'auto', description: 'attr support')
option('audit', type: 'feature', value: 'auto', description: 'audit support')
# dep:readline
option('bash_completion', type: 'feature', value: 'auto', description: 'bash-completion support')
option('bash_completion_dir', type: 'string', value: '', description: 'directory containing bash completion scripts')
option('blkid', type: 'feature', value: 'auto', description: 'blkid support')
option('capng', type: 'feature', value: 'auto', description: 'cap-ng support')
option('curl', type: 'feature', value: 'auto', description: 'curl support')
option('fuse', type: 'feature', value: 'auto', description: 'fuse support')
option('glusterfs', type: 'feature', value: 'auto', description: 'glusterfs support')
option('libiscsi', type: 'feature', value: 'auto', description: 'libiscsi support')
option('libnl', type: 'feature', value: 'auto', description: 'libnl support')
option('libpcap', type: 'feature', value: 'auto', description: 'libpcap support')
option('libssh', type: 'feature', value: 'auto', description: 'libssh support')
option('libssh2', type: 'feature', value: 'auto', description: 'libssh2 support')
option('netcf', type: 'feature', value: 'auto', description: 'netcf support')
option('nls', type: 'feature', value: 'auto', description: 'nls support')
option('numactl', type: 'feature', value: 'auto', description: 'numactl support')
option('openwsman', type: 'feature', value: 'auto', description: 'openwsman support')
option('pciaccess', type: 'feature', value: 'auto', description: 'pciaccess support')
option('polkit', type: 'feature', value: 'auto', description: 'use PolicyKit for UNIX socket access checks')
option('readline', type: 'feature', value: 'auto', description: 'readline support')
option('sanlock', type: 'feature', value: 'auto', description: 'sanlock support')
option('sasl', type: 'feature', value: 'auto', description: 'sasl support')
option('selinux', type: 'feature', value: 'auto', description: 'selinux support')
option('selinux_mount', type: 'string', value: '', description: 'set SELinux mount point')
option('sshconfdir', type: 'string', value: '', description: 'directory for SSH client configuration')
# dep:pciaccess
option('udev', type: 'feature', value: 'auto', description: 'udev support')
# dep:driver_remote
option('wireshark_dissector', type: 'feature', value: 'auto', description: 'wireshark support')
option('wireshark_plugindir', type: 'string', value: '', description: 'wireshark plugins directory for use when installing wireshark plugin')
option('yajl', type: 'feature', value: 'auto', description: 'yajl support')


# build driver options
option('driver_bhyve', type: 'feature', value: 'auto', description: 'bhyve driver')
# dep:curl
option('driver_esx', type: 'feature', value: 'auto', description: 'esx driver')
# dep:openwsman
option('driver_hyperv', type: 'feature', value: 'auto', description: 'Hyper-V driver')
# dep:pciaccess dep:udev dep:driver_remote dep:driver_libvirtd
option('driver_interface', type: 'feature', value: 'auto', description: 'host interface driver')
# dep:driver_remote
option('driver_libvirtd', type: 'feature', value: 'auto', description: 'libvirtd driver')
# dep:driver_remote dep:driver_libvirtd
option('driver_libxl', type: 'feature', value: 'auto', description: 'libxenlight driver')
# dep:driver_remote dep:driver_libvirtd
option('driver_lxc', type: 'feature', value: 'auto', description: 'Linux Container driver')
# dep:curl dep:yajl dep:driver_remote dep:driver_libvirtd
option('driver_ch', type: 'feature', value: 'auto', description: 'Cloud-Hypervisor driver')
option('ch_user', type: 'string', value: '', description: 'username to run Cloud-Hypervisor system instance as')
option('ch_group', type: 'string', value: '', description: 'groupname to run Cloud-Hypervisor system instance as')
# dep:driver_remote dep:driver_libvirtd
option('driver_network', type: 'feature', value: 'auto', description: 'virtual network driver')
option('driver_openvz', type: 'feature', value: 'auto', description: 'OpenVZ driver')
# dep:yajl dep:driver_remote dep:driver_libvirtd
option('driver_qemu', type: 'feature', value: 'auto', description: 'QEMU/KVM driver')
option('qemu_user', type: 'string', value: '', description: 'username to run QEMU system instance as')
option('qemu_group', type: 'string', value: '', description: 'groupname to run QEMU system instance as')
option('qemu_moddir', type: 'string', value: '', description: 'set the directory where QEMU modules are located')
option('qemu_datadir', type: 'string', value: '', description: 'set the directory where QEMU shared data is located')
option('driver_remote', type: 'feature', value: 'auto', description: 'remote driver')
option('remote_default_mode', type: 'combo', choices: ['legacy', 'direct'], value: 'direct', description: 'remote driver default mode')
option('driver_secrets', type: 'feature', value: 'auto', description: 'local secrets management driver')
option('driver_test', type: 'feature', value: 'auto', description: 'test driver')
option('driver_vbox', type: 'feature', value: 'auto', description: 'VirtualBox XPCOMC driver')
option('vbox_xpcomc_dir', type: 'string', value: '', description: 'Location of directory containing VirtualBox XPCOMC library')
option('driver_vmware', type: 'feature', value: 'auto', description: 'VMware driver')
option('driver_vz', type: 'feature', value: 'auto', description: 'Virtuozzo driver')

option('secdriver_apparmor', type: 'feature', value: 'auto', description: 'use AppArmor security driver')
# dep:secdriver_apparmor
option('apparmor_profiles', type: 'feature', value: 'auto', description: 'install apparmor profiles')
# dep:selinux
option('secdriver_selinux', type: 'feature', value: 'auto', description: 'use SELinux security driver')


# storage driver options
option('storage_dir', type: 'feature', value: 'auto', description: 'directory backend for the storage driver')
option('storage_disk', type: 'feature', value: 'auto', description: 'GPartd Disk backend for the storage driver')
option('storage_fs', type: 'feature', value: 'auto', description: 'FileSystem backend for the storage driver')
option('storage_gluster', type: 'feature', value: 'auto', description: 'Gluster backend for the storage driver')
option('storage_iscsi', type: 'feature', value: 'auto', description: 'iscsi backend for the storage driver')
option('storage_iscsi_direct', type: 'feature', value: 'auto', description: 'iscsi-direct backend for the storage driver')
option('storage_lvm', type: 'feature', value: 'auto', description: 'LVM backend for the storage driver')
option('storage_mpath', type: 'feature', value: 'auto', description: 'mpath backend for the storage driver')
option('storage_rbd', type: 'feature', value: 'auto', description: 'RADOS Block Device backend for the storage driver')
option('storage_scsi', type: 'feature', value: 'auto', description: 'SCSI backend for the storage driver')
option('storage_vstorage', type: 'feature', value: 'auto', description: 'Virtuozzo storage backend for the storage driver')
option('storage_zfs', type: 'feature', value: 'auto', description: 'ZFS backend for the storage driver')


# build feature options
option('chrdev_lock_files', type: 'string', value: '', description: 'location for UUCP style lock files for character devices (leave empty for default paths on some platforms)')
option('dtrace', type: 'feature', value: 'auto', description: 'use dtrace for static probing')
option('firewalld', type: 'feature', value: 'auto', description: 'firewalld support')
# dep:firewalld
option('firewalld_zone', type: 'feature', value: 'auto', description: 'whether to install firewalld libvirt zone')
option('firewall_backend_priority', type: 'array', choices: ['nftables', 'iptables'], value: [], description: 'order in which to try firewall backends')
option('host_validate', type: 'feature', value: 'auto', description: 'build virt-host-validate')
option('init_script', type: 'combo', choices: ['systemd', 'openrc', 'check', 'none'], value: 'check', description: 'Style of init script to install')
option('loader_nvram', type: 'string', value: '', description: 'Pass list of pairs of <loader>:<nvram> paths. Both pairs and list items are separated by a colon.')
option('login_shell', type: 'feature', value: 'auto', description: 'build virt-login-shell')
# dep:yajl dep:driver_network dep:libvirtd
option('nss', type: 'feature', value: 'auto', description: 'enable Name Service Switch plugin for resolving guest IP addresses')
# dep:numactl
option('numad', type: 'feature', value: 'auto', description: 'use numad to manage CPU placement dynamically')
option('nbdkit', type: 'feature', value: 'auto', description: 'Build nbdkit storage backend')
# dep:nbdkit
option('nbdkit_config_default', type: 'feature', value: 'auto', description: 'Whether to use nbdkit storage backend for network disks by default (configurable)')
option('pm_utils', type: 'feature', value: 'auto', description: 'use pm-utils for power management')
option('ssh_proxy', type: 'feature', value: 'auto', description: 'Build ssh-proxy for ssh over vsock')
option('sysctl_config', type: 'feature', value: 'auto', description: 'Whether to install sysctl configs')
# dep:sysctl_config
option('userfaultfd_sysctl', type: 'feature', value: 'auto', description: 'Whether to install sysctl config for enabling unprivileged userfaultfd')
option('tls_priority', type: 'string', value: 'NORMAL', description: 'set the default TLS session priority string')

=== debian/changelog ===
libvirt (10.7.0-3deepin1) unstable; urgency=medium

  * Support reuse asid and secret injection for Hygon CSV

 -- hanliyang <hanliyang@hygon.cn>  Fri, 15 Nov 2024 11:49:11 +0800

libvirt (10.7.0-3) unstable; urgency=medium

  * [70a5d8d] patches: Add backport/apparmor-Don-t-check-for[...]
    - Ensures that AppArmor doesn't get disabled for QEMU domains
      just because the LXC driver is not installed (Closes: #1081396)

 -- Andrea Bolognani <eof@kiyuko.org>  Mon, 16 Sep 2024 21:41:15 +0200

libvirt (10.7.0-2) unstable; urgency=medium

  * [6fb4103] control: Turn dmidecode back into a Recommends
    - It was accidentally made it into a Depends in 10.6.0-2,
      which has resulted in libvirt-daemon being uninstallable on
      architectures that don't have dmidecode (e.g. ppc64el)

 -- Andrea Bolognani <eof@kiyuko.org>  Sun, 08 Sep 2024 15:15:11 +0200

libvirt (10.7.0-1) unstable; urgency=medium

  * [a84ccbd] New upstream version 10.7.0
    - Update for qemu-bridge-helper's new location (Closes: #1077915)
    - Fixes CVE-2024-8235 (Closes: #1080218)

 -- Andrea Bolognani <eof@kiyuko.org>  Thu, 05 Sep 2024 20:59:27 +0200

libvirt (10.6.0-3) experimental; urgency=medium

  * [01e7456] control: Bump Standards-Version to 4.7.0
    - No changes needed.
  * [b172fde] control: Change some Breaks+Replaces to Conflicts
    - Prevents file loss scenarios during upgrade (DEP17 M7)
    - Thanks to Helmut Grohne
  * [4f20e64] snippets: Create protective diversions
    - Prevents file loss scenarios during upgrade (DEP17 M8)
    - Thanks to Helmut Grohne

 -- Andrea Bolognani <eof@kiyuko.org>  Sun, 01 Sep 2024 16:31:02 +0200

libvirt (10.6.0-2) experimental; urgency=medium

  * [9333950] control: Introduce daemon-common package
    + As well as a bunch more. In general, every single driver and
      storage backend comes with its own binary package now, which
      makes it possible to decide exactly what gets installed
  * [d776368] control: Mark daemon-system-* packages as dummy
    + Configuration for the daemon is now shipped in libvirt-daemon
  * [0ac1f2c] control: Mark sanlock package as dummy
    + Replaced by libvirt-daemon-plugin-sanlock
  * [cf64ba3] install: Perform usr-merge transition
    - Thanks to Michael Biebl, Helmut Grohne (Closes: #1064126)

 -- Andrea Bolognani <eof@kiyuko.org>  Sat, 24 Aug 2024 13:37:16 +0200

=== debian/control ===
Source: libvirt
Section: libs
Priority: optional
Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
Uploaders:
 Guido Günther <agx@sigxcpu.org>,
 Andrea Bolognani <eof@kiyuko.org>,
Build-Depends:
 augeas-tools [linux-any],
 bash-completion,
 debhelper-compat (= 13),
 dh-apparmor [linux-any],
 kmod [linux-any],
 libacl1-dev [linux-any],
 libapparmor-dev (>= 3.0.0) [linux-any],
 libattr1-dev [linux-any],
 libaudit-dev [linux-any],
 libblkid-dev [linux-any],
 libc-dev (>= 2.31-14~),
 libcap-ng-dev [linux-any],
 libcurl4-gnutls-dev [linux-any],
 libdevmapper-dev [linux-any],
 libfuse3-dev [linux-any],
 libglib2.0-dev,
 libglusterfs-dev [amd64 arm64 ia64 loong64 mips64el ppc64 ppc64el riscv64 s390x sparc64],
 libgnutls28-dev,
 libiscsi-dev [linux-any],
 libnl-3-dev [linux-any],
 libnl-route-3-dev [linux-any],
 libnuma-dev [linux-any],
 libparted-dev [linux-any],
 libpcap0.8-dev [linux-any],
 libpciaccess-dev [linux-any],
 librados-dev [amd64 arm64 loong64 mips64el ppc64el riscv64 s390x],
 librbd-dev [amd64 arm64 loong64 mips64el ppc64el riscv64 s390x],
 libreadline-dev,
 libsanlock-dev [linux-any],
 libsasl2-dev,
 libselinux1-dev [linux-any],
 libssh-dev,
 libssh2-1-dev,
 libtasn1-6-dev,
 libtirpc-dev,
 libudev-dev [linux-any],
 libwireshark-dev [linux-any],
 libxen-dev [amd64 arm64 armhf],
 libxml2-dev,
 libxml2-utils,
 libyajl-dev [linux-any],
 lvm2 [linux-any],
 meson,
 mount [linux-any],
 nfs-common:native [linux-any],
 numad:native [linux-any],
 open-iscsi [linux-any],
 po-debconf,
 python3-docutils,
 python3:native,
 qemu-utils [amd64 arm64 armel armhf i386 loong64 mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
 systemtap-sdt-dev [linux-any],
 xsltproc,
Vcs-Git: https://salsa.debian.org/libvirt-team/libvirt.git
Vcs-Browser: https://salsa.debian.org/libvirt-team/libvirt
Homepage: https://libvirt.org/
Standards-Version: 4.7.0
Rules-Requires-Root: no

Package: libvirt-clients
Section: admin
Architecture: any
Depends:
 libvirt-common (= ${binary:Version}),
 libvirt0 (= ${binary:Version}),
 libxml2-utils,
 sensible-utils,
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 libvirt-clients-qemu (= ${binary:Version}) [amd64 arm64 armel armhf i386 loong64 mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
 libvirt-daemon (= ${binary:Version}) [linux-any],
 libvirt-login-shell (= ${binary:Version}) [alpha amd64 arm64 armel armhf hppa i386 loong64 m68k mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64 x32],
Breaks:
 libvirt-daemon (<< 6.9.0-2~),
 libvirt-daemon-driver-qemu (<< 6.9.0-2~),
Replaces:
 libvirt-daemon (<< 6.9.0-2~),
Description: Programs for the libvirt library
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the libvirt shell virsh and other client binaries.

Package: libvirt-clients-qemu
Section: admin
Architecture: all
Depends:
 libvirt-common (<< ${source:Version}.1~),
 libvirt-common (>= ${source:Version}),
 libvirt0 (<< ${source:Version}.1~),
 libvirt0 (>= ${source:Version}),
 python3-cryptography,
 python3-libvirt,
 python3-lxml,
 python3:any,
 ${misc:Depends},
Description: Programs for the libvirt library (QEMU specific)
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the QEMU-specific client binaries.

Package: libvirt-login-shell
Section: admin
Architecture: alpha amd64 arm64 armel armhf hppa i386 loong64 m68k mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64 x32
Depends:
 libvirt-clients (= ${binary:Version}),
 libvirt-common (= ${binary:Version}),
 libvirt-daemon-driver-lxc (= ${binary:Version}),
 libvirt0 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 libvirt-clients (<< 6.9.0-2~),
Replaces:
 libvirt-clients (<< 6.9.0-2~),
Description: Isolate user sessions using LXC containers
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the virt-login-shell tool, which can be set as a user's
 login shell to isolate their sessions using LXC containers.

Package: libvirt-daemon
Section: admin
Architecture: linux-any
Depends:
 libvirt-common (= ${binary:Version}),
 libvirt-daemon-common (= ${binary:Version}),
 libvirt0 (= ${binary:Version}),
 logrotate,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 libvirt-daemon-driver-interface (= ${binary:Version}),
 libvirt-daemon-driver-lxc (= ${binary:Version}) [alpha amd64 arm64 armel armhf hppa i386 loong64 m68k mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64 x32],
 libvirt-daemon-driver-network (= ${binary:Version}),
 libvirt-daemon-driver-nodedev (= ${binary:Version}),
 libvirt-daemon-driver-nwfilter (= ${binary:Version}),
 libvirt-daemon-driver-qemu (= ${binary:Version}) [amd64 arm64 armel armhf i386 loong64 mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
 libvirt-daemon-driver-secret (= ${binary:Version}),
 libvirt-daemon-driver-storage (= ${binary:Version}),
 libvirt-daemon-driver-storage-disk (= ${binary:Version}),
 libvirt-daemon-driver-storage-iscsi (= ${binary:Version}),
 libvirt-daemon-driver-storage-logical (= ${binary:Version}),
 libvirt-daemon-driver-storage-mpath (= ${binary:Version}),
 libvirt-daemon-driver-storage-scsi (= ${binary:Version}),
 libvirt-daemon-driver-vbox (= ${binary:Version}) [amd64 i386],
 libvirt-daemon-driver-xen (= ${binary:Version}) [amd64 arm64 armhf],
 libvirt-daemon-lock (= ${binary:Version}),
 libvirt-daemon-log (= ${binary:Version}),
 libvirt-daemon-plugin-lockd (= ${binary:Version}),
 libvirt-daemon-plugin-sanlock (= ${binary:Version}),
Suggests:
 libvirt-daemon-driver-storage-gluster (= ${binary:Version}) [amd64 arm64 ia64 loong64 mips64el ppc64 ppc64el riscv64 s390x sparc64],
 libvirt-daemon-driver-storage-iscsi-direct (= ${binary:Version}),
 libvirt-daemon-driver-storage-rbd (= ${binary:Version}) [amd64 arm64 loong64 mips64el ppc64el riscv64 s390x],
 libvirt-daemon-driver-storage-zfs (= ${binary:Version}),
 libvirt-daemon-system (= ${binary:Version}),
Conflicts:
 libvirt-daemon-system (<< 10.6.0-2~),
Breaks:
 libvirt-clients (<< 6.9.0-2~),
 libvirt-daemon-driver-lxc (<< 6.9.0-2~),
 libvirt-daemon-system-sysv (<< 10.6.0-2~),
 libvirt-sanlock (<< 6.9.0-2~),
Replaces:
 libvirt-daemon-system-sysv (<< 10.6.0-2~),
Description: Virtualization daemon
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the daemon libvirtd to manage the hypervisors.

Package: libvirt-daemon-common
Section: admin
Architecture: linux-any
Depends:
 adduser,
 gettext-base,
 iproute2,
 libvirt-common (= ${binary:Version}),
 libvirt0 (= ${binary:Version}),
 polkitd (>= 121+compat0.1-2),
 sensible-utils,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 dmidecode,
 netcat-openbsd,
 systemd-sysv | sysvinit-core,
Suggests:
 apparmor,
 auditd,
 systemtap,
Conflicts:
 libvirt-daemon-system (<< 10.6.0-2~),
Breaks:
 libvirt-clients (<< 10.6.0-2~),
 libvirt-daemon (<< 10.6.0-2~),
 libvirt-daemon-system-sysv (<< 10.6.0-2~),
Replaces:
 libvirt-clients (<< 10.6.0-2~),
 libvirt-daemon (<< 10.6.0-2~),
 libvirt-daemon-system-sysv (<< 10.6.0-2~),
Description: Virtualization daemon common files
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains files needed by the various libvirt daemons.

Package: libvirt-daemon-log
Section: admin
Architecture: linux-any
Depends:
 libvirt-common (= ${binary:Version}),
 libvirt0 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 libvirt-daemon-system (<< 10.6.0-2~),
Breaks:
 libvirt-daemon (<< 10.6.0-2~),
 libvirt-daemon-system-sysv (<< 10.6.0-2~),
Replaces:
 libvirt-daemon (<< 10.6.0-2~),
 libvirt-daemon-system-sysv (<< 10.6.0-2~),
Description: Virtualization log daemon
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the virtlogd daemon, which handles logging.

Package: libvirt-daemon-lock
Section: admin
Architecture: linux-any
Depends:
 libvirt-common (= ${binary:Version}),
 libvirt0 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 libvirt-daemon-system (<< 10.6.0-2~),
Breaks:
 libvirt-daemon (<< 10.6.0-2~),
Replaces:
 libvirt-daemon (<< 10.6.0-2~),
Description: Virtualization lock daemon
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the virtlockd daemon, which handles storage locking.

Package: libvirt-daemon-driver-qemu
Section: admin
Architecture: amd64 arm64 armel armhf i386 loong64 mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sparc64 x32
Multi-Arch: no
Depends:
 adduser,
 libvirt-common (= ${binary:Version}),
 libvirt-daemon-log (= ${binary:Version}),
 libvirt0 (= ${binary:Version}),
 logrotate,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 passt,
 qemu-kvm | qemu-system,
 swtpm,
 swtpm-tools,
 systemd-container | sysvinit-core,
Suggests:
 numad,
Enhances:
 qemu-kvm,
 qemu-system,
Breaks:
 libvirt-clients (<< 6.9.0-2~),
 libvirt-daemon-system (<< 10.6.0-2~),
Replaces:
 libvirt-clients (<< 6.9.0-2~),
 libvirt-daemon-system (<< 10.6.0-2~),
Description: Virtualization daemon QEMU connection driver
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the libvirtd connection driver for QEMU.

Package: libvirt-daemon-driver-lxc
Section: admin
Architecture: alpha amd64 arm64 armel armhf hppa i386 loong64 m68k mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64 x32
Multi-Arch: no
Depends:
 libvirt-common (= ${binary:Version}),
 libvirt-daemon (= ${binary:Version}),
 libvirt0 (= ${binary:Version}),
 logrotate,
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 libvirt-daemon (<< 6.9.0-2~),
 libvirt-daemon-system (<< 10.6.0-2~),
Replaces:
 libvirt-daemon (<< 6.9.0-2~),
 libvirt-daemon-system (<< 10.6.0-2~),
Description: Virtualization daemon LXC connection driver
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the libvirtd connection driver for LXC.

=== debian/rules ===
--- 
+++ 
@@ -154,7 +154,7 @@
     -Dopenwsman=disabled \
     -Ddriver_vz=disabled \
     -Dqemu_user=libvirt-qemu \
-    -Dqemu_group=kvm \
+    -Dqemu_group=libvirt-qemu \
     -Dqemu_moddir=/usr/lib/$(DEB_HOST_MULTIARCH)/qemu \
     -Dqemu_datadir=/usr/share/qemu \
     -Ddocs=enabled \
@@ -165,7 +165,7 @@
     -Dtls_priority=NORMAL \
     $(WITH_OPENVZ) \
     -Dsasl=enabled \
-    -Dlibssh2=disabled \
+    -Dlibssh2=enabled \
     -Dlibssh=enabled \
     -Dreadline=enabled \
     -Dbash_completion=enabled \
@@ -186,4 +186,3 @@
     $(WITH_STORAGE_MPATH) \
     $(WITH_STORAGE_ZFS) \
     -Dstorage_vstorage=disabled \
-    $(WITH_BLKID) \
